-- adding packages
vim.cmd('packadd vim-markdown')
vim.cmd('packadd vimwiki')
-- due date highlighting
require('due_nvim').setup {
    ft = '*.md',
    date_hi = 'Comment',
    week_hi = 'Structure',

    pattern_start = '<',
    pattern_end = '>',
    
    use_clock_time = true,
    use_clock_today = true,
    use_seconds = false,
}
-- setting spell check
vim.cmd([[
    setlocal spell
    setlocal wrap
]])

-- markdown plugin settings
vim.opt.conceallevel = 2
vim.g.vim_markdown_folding_disabled = 1
vim.g.vim_markdown_math = 1
vim.g.vim_markdown_strikethrough = 1
